The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> wcsncat - concatenate a wide-character string with part of another

#### SYNOPSIS

> ``#include <wchar.h>
> wchar_t *wcsncat(wchar_t *restrict` ws1`, const wchar_t *restrict` ws2`,
> size_t` n`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The wcsncat() function shall append not more than n wide-character codes (a null wide-character code and wide-character codes that follow it are not appended) from the array pointed to by ws2 to the end of the wide-character string pointed to by ws1. The initial wide-character code of ws2 shall overwrite the null wide-character code at the end of ws1. A terminating null wide-character code shall always be appended to the result. If copying takes place between objects that overlap, the behavior is undefined.

#### RETURN VALUE

> The wcsncat() function shall return ws1; no return value is reserved to indicate an error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wcscat

> XBD <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the MSE working draft.

#### Issue 6

> The wcsncat() prototype is updated for alignment with the ISO/IEC 9899:1999 standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]